Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1196780 - Review Request: xtuple-openrpt - reporting tool for xTuple / PostBooks
Summary: Review Request: xtuple-openrpt - reporting tool for xTuple / PostBooks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1196782 1196827
TreeView+ depends on / blocked
 
Reported: 2015-02-26 17:46 UTC by Daniel Pocock
Modified: 2015-06-30 22:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 22:27:51 UTC
Type: ---
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Pocock 2015-02-26 17:46:24 UTC
Spec URL: https://raw.githubusercontent.com/dpocock/openrpt/fedora/openrpt.spec
SRPM URL: https://secure.trendhosting.net/fedora/openrpt-3.3.7-1.fc19.src.rpm
Description: Graphical SQL report writer, designer and rendering engine, optimized for PostgreSQL. WYSIWYG display, GUI built with Qt. Reports can be saved as XML, either as files or in a database.
Fedora Account System Username: pocock

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-05-06 05:55:58 UTC
# make install doesn't do anything for this qmake project so we do
# the installs manually
#make INSTALL_ROOT=%{buildroot} install
rm -f %{buildroot}%{_libdir}/lib*.a
rm -f %{buildroot}%{_libdir}/lib*.la
^^^ this looks like an oversight, presumably there's nothing to delete yet.

Why is ldconfig in %post needed for the main package?

%clean can probably be dropped.

Use %license for COPYING (https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text).

Suggestion: use the name of the main package for docs and license dirs:
%global _docdir_fmt %{name}

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-05-06 11:46:10 UTC
fedora-review has the following to say:

- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /var/tmp/1196780-openrpt/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

- Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)

openrpt-devel.x86_64: W: spurious-executable-perm /usr/include/openrpt/**.h
openrpt-devel.x86_64: E: wrong-script-end-of-line-encoding /usr/include/openrpt/OpenRPT/wrtembed/tmp/ui_texteditor.h
openrpt-devel.x86_64: E: wrong-script-end-of-line-encoding /usr/include/openrpt/OpenRPT/wrtembed/tmp/ui_crosstabeditor.h
openrpt.src:47: W: macro-in-comment %{buildroot}
openrpt.src: W: file-size-mismatch v3.3.7.tar.gz = 1218978, https://github.com/xtuple/openrpt/archive/v3.3.7.tar.gz = 1198328

openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libopenrptcommon.so.1.0.0 /lib64/libpthread.so.0
openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libopenrptcommon.so.1.0.0 /lib64/libm.so.6

Comment 3 Gil Moskowitz 2015-05-08 20:01:49 UTC
https://github.com/xtuple/openrpt/pull/49 addressing review comments has been merged

Comment 4 Zbigniew Jędrzejewski-Szmek 2015-05-09 14:30:41 UTC
What about the 'rm' call at the beginning of %install? When they are called, %{rpmbuildroot} is supposed to be empty.

Comment 6 Zbigniew Jędrzejewski-Szmek 2015-05-09 20:16:27 UTC
Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
Permissions should be 0755, not 0775, on libraries. But nobody cares too much, so this can be ignored if it is inconvenient to fix.

- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /var/tmp/1196780-xtuple-
  openrpt/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

I assume that this is a desynchronization caused by latest changes. Just make sure that the tarballs match when the package is actually built.

Suggested summary: Reporting utility and libraries for postbooks

There *should* be a desktop file, and an appdata file to boot.
Unless you consider the *gui versions not really useful. What is the plan here: are users supposed to use /usr/bin/importmqlgui, /usr/bin/importrptgui, etc?

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "LGPL (v2.1 or later) (with incorrect FSF
     address)", "Unknown or generated". 53 files have unknown license.
     Detailed output of licensecheck in /var/tmp/1196780-xtuple-
     openrpt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/openrpt/OpenRPT, /usr/share/openrpt
Should be owned by the package.

[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/openrpt/OpenRPT,
     /usr/share/openrpt

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[?]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xtuple-
     openrpt-libs , xtuple-openrpt-devel
I think an explicit
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
should be added to the main package. Right now it only has the automatically generated requires, so if the package is updated without changing so versions, -libs could get out of sync. Better to prevent that.

[x]: Package functions as described.
Binaries run ;)

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
%check would be nice, but is not required.

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[?]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1454080 bytes in /usr/share
Hm, why is /usr/share/openrpt/OpenRPT/images in -devel? Isn't it used in the main package?

[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xtuple-openrpt-3.3.7-1.fc23.x86_64.rpm
          xtuple-openrpt-libs-3.3.7-1.fc23.x86_64.rpm
          xtuple-openrpt-devel-3.3.7-1.fc23.x86_64.rpm
          xtuple-openrpt-3.3.7-1.fc23.src.rpm
xtuple-openrpt.x86_64: W: summary-not-capitalized C xTuple reporting utility and libraries
xtuple-openrpt.x86_64: W: no-documentation
xtuple-openrpt.x86_64: W: no-manual-page-for-binary openrpt-graph
xtuple-openrpt.x86_64: W: no-manual-page-for-binary importmqlgui
xtuple-openrpt.x86_64: W: no-manual-page-for-binary exportrpt
xtuple-openrpt.x86_64: W: no-manual-page-for-binary importrpt
xtuple-openrpt.x86_64: W: no-manual-page-for-binary rptrender
xtuple-openrpt.x86_64: W: no-manual-page-for-binary metasql
xtuple-openrpt.x86_64: W: no-manual-page-for-binary openrpt
xtuple-openrpt.x86_64: W: no-manual-page-for-binary importrptgui
xtuple-openrpt-libs.x86_64: W: spelling-error %description -l en_US libopenrpt -> liberation
xtuple-openrpt-libs.x86_64: W: no-documentation
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/libopenrptcommon.so.1.0.0 0775L
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/libMetaSQL.so.1.0.0 0775L
xtuple-openrpt-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/xtuple-openrpt/COPYING
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/librenderer.so.1.0.0 0775L
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/libwrtembed.so.1.0.0 0775L
xtuple-openrpt-devel.x86_64: W: only-non-binary-in-usr-lib
xtuple-openrpt-devel.x86_64: W: no-documentation
xtuple-openrpt.src: W: summary-not-capitalized C xTuple reporting utility and libraries
xtuple-openrpt.src:51: W: macro-in-comment %{buildroot}
xtuple-openrpt.src:52: W: macro-in-comment %{buildroot}
xtuple-openrpt.src:52: W: macro-in-comment %{_libdir}
xtuple-openrpt.src: W: file-size-mismatch v3.3.7.tar.gz = 1218978, https://github.com/xtuple/openrpt/archive/v3.3.7.tar.gz = 1198328
4 packages and 0 specfiles checked; 5 errors, 19 warnings.




Rpmlint (debuginfo)
-------------------
Checking: xtuple-openrpt-debuginfo-3.3.7-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
xtuple-openrpt-devel.x86_64: W: only-non-binary-in-usr-lib
xtuple-openrpt-devel.x86_64: W: no-documentation
xtuple-openrpt-libs.x86_64: W: spelling-error %description -l en_US libopenrpt -> liberation
xtuple-openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libopenrptcommon.so.1.0.0 /lib64/libpthread.so.0
xtuple-openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libopenrptcommon.so.1.0.0 /lib64/libm.so.6
xtuple-openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMetaSQL.so.1.0.0 /lib64/libpthread.so.0
xtuple-openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libMetaSQL.so.1.0.0 /lib64/libm.so.6
xtuple-openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/librenderer.so.1.0.0 /lib64/libQtNetwork.so.4
xtuple-openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/librenderer.so.1.0.0 /lib64/libpthread.so.0
xtuple-openrpt-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libwrtembed.so.1.0.0 /lib64/libpthread.so.0
xtuple-openrpt-libs.x86_64: W: no-documentation
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/libopenrptcommon.so.1.0.0 0775L
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/libMetaSQL.so.1.0.0 0775L
xtuple-openrpt-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/xtuple-openrpt/COPYING
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/librenderer.so.1.0.0 0775L
xtuple-openrpt-libs.x86_64: E: non-standard-executable-perm /usr/lib64/libwrtembed.so.1.0.0 0775L
xtuple-openrpt.x86_64: W: summary-not-capitalized C xTuple reporting utility and libraries
xtuple-openrpt.x86_64: W: no-documentation
xtuple-openrpt.x86_64: W: no-manual-page-for-binary openrpt-graph
xtuple-openrpt.x86_64: W: no-manual-page-for-binary importmqlgui
xtuple-openrpt.x86_64: W: no-manual-page-for-binary exportrpt
xtuple-openrpt.x86_64: W: no-manual-page-for-binary importrpt
xtuple-openrpt.x86_64: W: no-manual-page-for-binary rptrender
xtuple-openrpt.x86_64: W: no-manual-page-for-binary metasql
xtuple-openrpt.x86_64: W: no-manual-page-for-binary openrpt
xtuple-openrpt.x86_64: W: no-manual-page-for-binary importrptgui
4 packages and 0 specfiles checked; 5 errors, 25 warnings.



Requires
--------
xtuple-openrpt-devel (rpmlib, GLIBC filtered):
    libdmtx-devel
    qt-devel
    xtuple-openrpt-libs(x86-64)

xtuple-openrpt-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libMetaSQL.so.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libdmtx.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libopenrptcommon.so.1()(64bit)
    libpthread.so.0()(64bit)
    librenderer.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

xtuple-openrpt (rpmlib, GLIBC filtered):
    libMetaSQL.so.1()(64bit)
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSql.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libdmtx.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libopenrptcommon.so.1()(64bit)
    libpthread.so.0()(64bit)
    librenderer.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libwrtembed.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
xtuple-openrpt-devel:
    xtuple-openrpt-devel
    xtuple-openrpt-devel(x86-64)

xtuple-openrpt-libs:
    libMetaSQL.so.1()(64bit)
    libopenrptcommon.so.1()(64bit)
    librenderer.so.1()(64bit)
    libwrtembed.so.1()(64bit)
    xtuple-openrpt-libs
    xtuple-openrpt-libs(x86-64)

xtuple-openrpt:
    xtuple-openrpt
    xtuple-openrpt(x86-64)



Source checksums
----------------
https://github.com/xtuple/openrpt/archive/v3.3.7.tar.gz :
  CHECKSUM(SHA256) this package     : b41cec750dbd463a9433ac654069bed9827d50c3ac2b6866ace052611b03913c
  CHECKSUM(SHA256) upstream package : a9e6ab5660d8f01abe29ca566c30f891bc895e52fe853ff98b4680802f7dbca4
diff -r also reports differences


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1196780
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Jake Holcombe 2015-05-10 16:37:11 UTC
Zbigniew, the checksum issue is a known problem with source tarballs obtained from Github, it is mentioned in the last line under this Github heading:

https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Github

It says "Keep in mind that github tarballs are generated on-demand, so their modification dates will vary and cause checksum tests to fail. Reviewers will need to use diff -r to verify the tarballs. "

Comment 8 Zbigniew Jędrzejewski-Szmek 2015-05-10 16:58:34 UTC
(In reply to Jake Holcombe from comment #7)
> Zbigniew, the checksum issue is a known problem with source tarballs
> obtained from Github
OK.

Comment 9 Gil Moskowitz 2015-05-15 13:44:07 UTC
More review changes have been merged: https://github.com/xtuple/openrpt/pull/50
Source code including these changes has been retagged v3.3.8+1
  https://github.com/xtuple/openrpt/releases/tag/v3.3.8%2B1

Comment 10 Zbigniew Jędrzejewski-Szmek 2015-05-16 23:19:29 UTC
We need to work on dialogue.

It'd help if rpm %changelog was updated with the list of changes. Or at least git log should say what was done. It shouldn't be necessary to go over the patches to see what happened — this makes review unnecessarily hard.

Please see https://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage for guidelines how to install desktop files.

I *think* this package is OK, apart from the desktop file handling, but please upload another srpm.

Comment 11 Daniel Pocock 2015-05-19 17:08:37 UTC
Zbigniew, thanks for your feedback

Is it really necessary to include changelog entries in packages that are not yet approved?  I thought it is only necessary to update the RPM spec file changelog after a first version of the package is in Fedora?

Latest SRPM here:

Spec URL: https://secure.trendhosting.net/fedora/xtuple-openrpt.spec
SRPM URL: https://secure.trendhosting.net/fedora/xtuple-openrpt-3.3.8-1.fc21.src.rpm

Comment 12 Zbigniew Jędrzejewski-Szmek 2015-05-20 00:06:45 UTC
(In reply to Daniel Pocock from comment #11)
> Is it really necessary to include changelog entries in packages that are not
> yet approved?  I thought it is only necessary to update the RPM spec file
> changelog after a first version of the package is in Fedora?
Some people do it. Some people list the notes in a comment. I guess it's not really important where, but for a fairly complicated package it is nice to have it.

> Latest SRPM here:
> 
> Spec URL: https://secure.trendhosting.net/fedora/xtuple-openrpt.spec
> SRPM URL:
> https://secure.trendhosting.net/fedora/xtuple-openrpt-3.3.8-1.fc21.src.rpm
Thanks.

/usr/share/openrpt/OpenRPT/images/icons_24x24/Thumbs.db ← I think this file got packaged by mistake.

/usr/share/openrpt/OpenRPT/images/openrpt_qembed.h ← This looks like a strange place to put a header file.

$ desktop-file-validate /usr/share/applications/importmqlgui.desktop
/usr/share/applications/importmqlgui.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
$ /usr/share/applications/importrptgui.desktop
/usr/share/applications/importrptgui.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
$ desktop-file-validate /usr/share/applications/openrpt.desktop
/usr/share/applications/openrpt.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated

Icons used in the desktop files are 32x32 pixels. They looks *bad* when gnome-shell scales them to display in the application list. Please use the 128x128 versions if possible.

- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/openrpt/OpenRPT/images/icons_16x16

A few dirs in images/ are matched both with specific %dir and with a glob.

- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /var/tmp/1196780-xtuple-
  openrpt/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

I just hope I'm reviewing the right version :)

[!]: License file installed when any subpackage combination is installed.
xtuple-openrpt-images-3.3.8-1.fc22.noarch.rpm has no license, and no requirements on other packages.

Rpmlint
-------
Checking: xtuple-openrpt-3.3.8-1.fc23.x86_64.rpm
          xtuple-openrpt-images-3.3.8-1.fc23.noarch.rpm
          xtuple-openrpt-libs-3.3.8-1.fc23.x86_64.rpm
          xtuple-openrpt-devel-3.3.8-1.fc23.x86_64.rpm
          xtuple-openrpt-3.3.8-1.fc23.src.rpm
xtuple-openrpt.x86_64: W: summary-not-capitalized C xTuple reporting utility and libraries
Maybe change that to "Postbooks reporting utility and libraries". This will have the advantage that the package will show in searches for postbooks, which is probably quite useful.

xtuple-openrpt.x86_64: W: incoherent-version-in-changelog 3.3.7-1 ['3.3.8-1.fc23', '3.3.8-1']
Typo.

xtuple-openrpt-images.noarch: W: devel-file-in-non-devel-package /usr/share/openrpt/OpenRPT/images/openrpt_qembed.h
xtuple-openrpt-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/xtuple-openrpt/COPYING
xtuple-openrpt.src: W: summary-not-capitalized C xTuple reporting utility and libraries

xtuple-openrpt.src: W: file-size-mismatch v3.3.8.tar.gz = 5365760, https://github.com/xtuple/openrpt/archive/v3.3.8.tar.gz = 1205467
5 packages and 0 specfiles checked; 1 errors, 22 warnings.

Comment 13 Daniel Pocock 2015-05-20 17:03:19 UTC
Zbigniew, thanks for your latest feedback, new SRPM and spec:

Spec URL: https://secure.trendhosting.net/fedora/xtuple-openrpt.spec
SRPM URL: https://secure.trendhosting.net/fedora/xtuple-openrpt-3.3.9-1.fc21.src.rpm

Comment 14 Zbigniew Jędrzejewski-Szmek 2015-05-20 18:39:38 UTC
OK, I think everything is fixed. Package is APPROVED.

Comment 15 Daniel Pocock 2015-05-20 21:21:35 UTC
New Package SCM Request
=======================
Package Name: xtuple-openrpt
Short Description: xTuple / Postbooks reporting utility
Upstream URL: https://github.com/xtuple/openrpt
Owners: pocock
Branches: f20 f21 f22 el6 epel7

Comment 16 Gwyn Ciesla 2015-05-21 12:30:04 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.